package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Add devices list
 */
@ApiModel(description = "Add devices list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class AddDeviceVo   {
  @JsonProperty("sn")
  private String sn;

  @JsonProperty("name")
  private String name;

  @JsonProperty("username")
  private String username;

  @JsonProperty("password")
  private String password;

  @JsonProperty("deviceKey")
  private String deviceKey;

  public AddDeviceVo sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Device serial number. It should contains 13 characters.
   * @return sn
  */
  @ApiModelProperty(value = "Device serial number. It should contains 13 characters.")


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public AddDeviceVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name should contain 1 to 128 characters.
   * @return name
  */
  @ApiModelProperty(value = "Device name should contain 1 to 128 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public AddDeviceVo username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Device username. It should contain 1 to 64 characters.
   * @return username
  */
  @ApiModelProperty(value = "Device username. It should contain 1 to 64 characters.")


  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public AddDeviceVo password(String password) {
    this.password = password;
    return this;
  }

  /**
   * Device password. It should contain 1 to 64 characters.
   * @return password
  */
  @ApiModelProperty(value = "Device password. It should contain 1 to 64 characters.")


  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public AddDeviceVo deviceKey(String deviceKey) {
    this.deviceKey = deviceKey;
    return this;
  }

  /**
   * Get deviceKey
   * @return deviceKey
  */
  @ApiModelProperty(value = "")


  public String getDeviceKey() {
    return deviceKey;
  }

  public void setDeviceKey(String deviceKey) {
    this.deviceKey = deviceKey;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AddDeviceVo addDeviceVo = (AddDeviceVo) o;
    return Objects.equals(this.sn, addDeviceVo.sn) &&
        Objects.equals(this.name, addDeviceVo.name) &&
        Objects.equals(this.username, addDeviceVo.username) &&
        Objects.equals(this.password, addDeviceVo.password) &&
        Objects.equals(this.deviceKey, addDeviceVo.deviceKey);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sn, name, username, password, deviceKey);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AddDeviceVo {\n");
    
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("    deviceKey: ").append(toIndentedString(deviceKey)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

